Yes. While the Flash Plugin is not required for the MotiveLMS directly to operate, it may be required for some of the courseware components.


To download the latest version of Flash, go to: http://get.adobe.com/flashplayer/


If your company computer requires an Administrator access to do this, contact your IT Help Desk.  


NOTE: Flash is not compatible with most mobile devices. Chrome is scheduled to no longer support the Flash Plugin as of December 2020.